<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
<header>
    <nav>
        <ul>
            {% if user.is_authenticated %}
            Hello, {{ user.username }}
            <li><a href="{% url 'logout' %}">Logout</a></li>
            {% else %}
            <li><a href="{% url 'signup' %}">Signup</a></li>
            <li><a href="{% url 'login' %}">Login</a></li>
            {% endif %}
        </ul>
    </nav>
    </header>
    <main>
        <h1>My Categories</h1>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of receipts</th>
                </tr>
            </thead>
            <tbody>
            {% for category in categories %}
                <tr>
                    <td>{{ category.name }}</td>
                    <td>{{ category.receipts.all|length }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </main>
</body>
</html>
